<template>
  <div class="evaluate">
    <div class="title">网格化接种记录</div>
    <div class="content">
      <table class="table_main">
        <thead>
          <tr>
            <th class="coll1">序号</th>
            <th class="coll2">编码</th>
            <th class="coll3">名称</th>
            <th class="coll4">地址</th>
            <th class="coll5">联系人</th>
            <th class="coll6">所属街道</th>
            <th class="coll7">联系电话</th>
            <th class="coll8">创建时间</th>
          </tr>
        </thead>
        <thead class="zindex">
          <tr>
            <th class="coll1">序号</th>
            <th class="coll2">编码</th>
            <th class="coll3">名称</th>
            <th class="coll4">地址</th>
            <th class="coll5">联系人</th>
            <th class="coll6">所属街道</th>
            <th class="coll7">联系电话</th>
            <th class="coll8">创建时间</th>
          </tr>
        </thead>
        <tbody :class="{ anim: animate == true, hei: isLenght === true }">
          <tr v-for="(item, index) in tableData" :key="index">
            <td class="coll1" :title="index + 1">{{ index + 1 }}</td>
            <td class="coll2" :title="item.netcode">{{ item.netcode }}</td>
            <td class="coll3" :title="item.netname">{{ item.netname }}</td>
            <td class="coll4" :title="item.address">{{ item.address }}</td>
            <td class="coll5" :title="item.person">{{ item.person }}</td>
            <td class="coll6" :title="item.street">{{ item.street }}</td>
            <td class="coll7" :title="item.phone">{{ item.phone }}</td>
            <td class="coll8" :title="item.createtime">
              {{ item.createtime }}
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</template>

<script>
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data() {
    //这里存放数据
    return {
      timer: "",
      animate: false,
      tableData: [],
      endId: "",
      isLenght: false,
    };
  },
  //方法集合
  methods: {
    async getList() {
      const { data: dt } = await this.$http.get(
        "/jeecg-boot/ym_grid/ymGrid/queryall"
      );
      this.tableData = dt.result;
      this.endId = this.tableData[this.tableData.length - 1].id;
      if (this.tableData.length > 10) {
        this.isLenght = true;
        this.timer = setInterval(this.scroll, 5000);
      } else {
        this.isLenght = false;
        clearInterval(this.timer);
      }
    },

    scroll() {
      this.animate = true;
      setTimeout(() => {
        this.tableData.push(this.tableData[0]);
        this.tableData.shift();
        this.animate = false;
        if (this.tableData[0].id === this.endId) {
          // console.log('请求刷新数据')
          this.getList();
          clearInterval(this.timer);
        }
      }, 500);
    },
  },
  created() {
    //this.getList()
  },
  mounted() {
    this.getList();
  },
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.evaluate {
  height: 48%;
  width: 100%;
  margin-top: 1%;
  background: rgba(8, 32, 58, 0.7);
  .title {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
  }
}

.content {
  width: 100%;
  height: 95%;
  padding: 10px;
  overflow: hidden;

  table {
    text-align: center;
    border: none;
    width: 100%;
    height: 80%;
    tbody tr:nth-of-type(odd) {
      background-color: #202e3b;
    }
    tbody tr:nth-of-type(even) {
      background-color: #08213c;
    }
  }
}

.table_main {
  width: 100%;

  text-align: center;
  border: 1px solid #86c7ff;
  color: #fff;
  position: relative;
}

.table_main tr {
  line-height: 10%;
}

.table_main thead {
  background-color: #054b75;
  width: 100%;
  font-size: 30px;
  display: table;
  table-layout: fixed;
  box-sizing: border-box;
}

.zindex {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 99;
  /* background: #06067a; */
  background: #10107a;
  border: none;
}

.zindex tr th {
  border: none;
}

.table_main thead th {
  height: 124px;
  font-weight: 300;
  table-layout: fixed;
  box-sizing: border-box;
}

.table_main tbody.hei {
  height: 100%;
}

.table_main tbody {
  display: block;
  width: 100%;
  /* height: 352px; */
  /* 隐藏滚动条兼容 */
  -ms-scroll-chaining: chained;
  -ms-content-zooming: zoom;
  -ms-scroll-rails: none;
  -ms-content-zoom-limit-min: 100%;
  -ms-content-zoom-limit-max: 500%;
  /* -ms-scroll-snap-type: proximity; */
  -ms-scroll-snap-points-x: snapList(100%, 200%, 300%, 400%, 500%);
  -ms-overflow-style: none;
  overflow-y: scroll;
  /* 火狐 */
  scrollbar-width: none;
  /* ie */
  -ms-overflow-style: none;
}

.table_main tbody::-webkit-scrollbar {
  display: none;
}

.table_main tbody tr {
  display: table;
  table-layout: fixed;
  width: 100%;
}

.table_main tbody tr td {
  color: #848b91;
  font-size: 38px;
  vertical-align: middle;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  border: none;
}

.content .coll1 {
  height: 60px;
  width: 8%;
}
.content .coll2 {
  width: 8%;
}
.content .coll3 {
  width: 8%;
}
.content .coll4 {
  width: 8%;
}
.content .coll5 {
  width: 8%;
  button {
    font-size: 30px;
    border: none;
    background-color: #ff7200;
    width: 80%;
    margin-left: 20%;
    height: 90%;
    text-align: center;
    color: #ffffff;
    border-radius: 10px;
  }
}
.content .coll6 {
  width: 8%;
  button {
    font-size: 30px;
    border: none;
    background-color: #00a0e9;
    width: 80%;
    margin-left: 20%;
    height: 90%;
    text-align: center;
    color: #ffffff;
    border-radius: 10px;
  }
}
.content .coll7 {
  width: 8%;
}
.content .coll8 {
  width: 8%;
}
.content .coll9 {
  width: 8%;
}
.content .coll10 {
  width: 8%;
}
.content .coll11 {
  width: 8%;
}
.content .coll12 {
  width: 8%;
  .cz,
  .update {
    text-align: center;
    font-size: 20px;
    border: none;
    width: 40%;

    height: 90%;
    text-align: center;
    color: #ffffff;
    border-radius: 10px;
  }
  .cz {
    background-color: #00784c;
  }
  .update {
    background-color: #00a0e9;
  }
}

.anim {
  transition: all 2s;
  margin-top: -32px;
}
@media only screen and (max-width: 2560px) {
  .evaluate {
    height: auto;
    overflow: visible;
    background: transparent;
    margin: 0;
    .content {
      height: 2400px;
      thead {
        height: 150px;
      }
      tr {
        height: 150px;
      }
    }
  }
}
</style>
